import { Dcomm } from "dcomm/dist"
import { AuthorityVMAPI } from "dcomm/dist/apis/authorityvm"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const athchain: AuthorityVMAPI = dcomm.ATHChain()

const main = async (): Promise<any> => {
  const txID: string = "x1NLb9JaHkKTXvSRReVSsFwQ38mY7bfD1Ky1BPv721VhrpuSE"
  const includeReason: boolean = true
  const tx: string | object = await athchain.getTxStatus(txID, includeReason)
  console.log(tx)
}

main()
